class ComponentGenerator < Rails::Generators::NamedBase
  source_root File.expand_path('../templates', __FILE__)
	argument :name, :type => :string, :default => "app"
	argument :install_folder_name, :type => :string, :default => "app"

	def create_component_directory
		empty_directory("app/javascript/src/#{install_folder_name}/components/#{name}")
	end

	def create_component_index
		create_file "app/javascript/src/#{install_folder_name}/components/#{name}/#{name}.js",
"import React from 'react';
import './#{name}.scss';

const #{name} = () => (
      <div className='#{name}'>
        <h1>#{name} component!</h1>
            <p>find me in app/javascript/src/#{install_folder_name}/components/#{name}/#{name}.js</p>
      </div>
)

export default #{name};"
		create_file "app/javascript/src/#{install_folder_name}/components/#{name}/#{name}.scss",
".#{name} {

}"
	end

end
